#ifndef STATES_H_
#define STATES_H_

/*
defines the different states the rocket can be in.  they should sequentially change as the flight progresses
*/

enum FlightState {PREFLIGHT, LAUNCH, BOOSTER_BURNOUT, BOOSTER_JETTISON, SECOND_STAGE_IGNITION, SECOND_STAGE_BURNOUT, APOGEE, DESCENT};

// each state is ENTERED when the expected conditions occur (i.e. "APOGEE" is entered when apogee is detected)

/*#define PREFLIGHT				0
#define LAUNCHED				1
#define BOOSTER_BURNOUT			2
#define BOOSTER_JETTISON		3
#define SECOND_STAGE_IGNITION	4
#define SECOND_STAGE_BURNOUT	5
#define APOGEE					6
#define DESCENT					7*/

#define AMBER_LED		porta.2
#define GREEN_LED		portc.0
#define SERVO_CTRL		portb.4
#define IGNITION_CTRL	portb.5
#define STAGING_CTRL	portb.6

void handleStates(unsigned char newPacket);

#endif