#ifndef BUS_H_
#define BUS_H_

#include "record.h"

// receive a record (waits for bus sync, clocks in the data, and verifies checksum).  returns true on successful reception or false on bad packet or timeout
unsigned char recvRecord(struct Record * rec);

// sends a record.  calculates checksum before sending.
void sendRecord(struct Record * rec, unsigned char clockFlash);

#endif BUS_H_
